## chronicle 0.1.0

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.1.0
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating beautiful and interactive R Markdown reports
    by adding modules like plots and tables to an empty header.
Depends: R (>= 3.5.0), data.table, magrittr, rlang
License: GPL (>= 3)
Encoding: UTF-8
Imports: DT, dygraphs, ggplot2, glue, knitr, plotly, prettydoc, purrr,
        RColorBrewer, readr, rmarkdown, scales, stats, viridis, zoo
Suggests: devtools
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-19 03:06:50 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-21 10:30:02 UTC

## chronicle 0.2.0

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.2.0
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating beautiful and interactive R Markdown reports
    by adding modules like plots and tables to an empty header.
Depends: R (>= 3.5.0), rlang, magrittr, data.table
License: GPL (>= 3)
Encoding: UTF-8
Imports: DT, dygraphs, ggplot2, glue, knitr, plotly, prettydoc, purrr,
        RColorBrewer, readr, rmarkdown, scales, stats, viridis, zoo
Suggests: bookdown, devtools, flexdashboard, pagedown, rolldown, tufte,
        xaringan
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-25 03:45:51 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-25 11:40:08 UTC

## chronicle 0.2.1

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.2.1
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating beautiful and interactive R Markdown reports
    by adding modules like plots and tables to an empty header.
Depends: R (>= 3.5.0), rlang, magrittr, data.table
License: GPL (>= 3)
Encoding: UTF-8
Imports: DT, dygraphs, ggplot2, glue, knitr, plotly, prettydoc, purrr,
        readr, rmarkdown, scales, stats, viridis, zoo
Suggests: bookdown, devtools, flexdashboard, pagedown, rolldown, tufte,
        xaringan
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-25 15:38:14 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-25 16:00:08 UTC

## chronicle 0.2.5

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.2.5
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating beautiful and interactive R Markdown reports
    by adding modules like plots and tables to an empty header.
Depends: R (>= 3.5.0), rlang, magrittr, data.table
License: GPL (>= 3)
Encoding: UTF-8
Imports: DT, dygraphs, ggplot2, glue, knitr, plotly, prettydoc, purrr,
        readr, rmarkdown, rmdformats, scales, skimr, stats, viridis,
        zoo
Suggests: bookdown, devtools, flexdashboard, pagedown, rolldown,
        rticles, tufte, xaringan
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-03-03 16:20:31 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-03-04 01:10:02 UTC

## chronicle 0.3

=== DESCRIPTION ===
Package: chronicle
Type: Package
Title: Grammar for Creating R Markdown Reports
Version: 0.3
Authors@R: person("Philippe", "Heymans Smith", email = "pheymanss@gmail.com",
    role = c("aut", "cre"))
Description: A system for creating R Markdown reports with a sequential syntax.
Depends: R (>= 3.5.0), magrittr
License: GPL (>= 3)
Encoding: UTF-8
Imports: data.table, DT, dplyr, dygraphs, ggplot2, glue, knitr, plotly,
        prettydoc, purrr, readr, rlang, rmarkdown, rmdformats, scales,
        skimr, stats, viridis, zoo
Suggests: bookdown, devtools, flexdashboard, pagedown, rolldown,
        rticles, tufte, xaringan
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-06-25 02:46:39 UTC; pheym
Author: Philippe Heymans Smith [aut, cre]
Maintainer: Philippe Heymans Smith <pheymanss@gmail.com>
Repository: CRAN
Date/Publication: 2021-06-25 05:00:02 UTC

## chronicle 2.9

=== Makefile ===
#
#  Utility makefile for people working with chronicle
#
#  The targets are intended to be useful for people who are using
# the remote repository - but it also contains other useful targets.
#
# Steve
# --
# http://www.steve.org.uk/
#

#
#  Only used to build distribution tarballs.
#
DIST_PREFIX = ${TMP}
VERSION     = 2.9
BASE        = chronicle


#
#  Installation prefix, useful for the Debian package.
#
prefix=


nop:
	@echo "Valid targets are (alphabetically) :"
	@echo " "
	@echo " clean         = Remove bogus files and any local output."
	@echo " diff          = See the local changes."
	@echo " test          = Run our simple test cases."
	@echo " test-verbose  = Run our simple test cases, verbosely."
	@echo " update        = Update from the remote repository."
	@echo " "


#
#  Delete all temporary files, recursively.
#
clean:
	@find . -name '.*~' -exec rm \{\} \;
	@find . -name '.#*' -exec rm \{\} \;
	@find . -name '*~' -exec rm \{\} \;
	@find . -name '*.bak' -exec rm \{\} \;
	@find . -name '*.tmp' -exec rm \{\} \;
	@if [ -d comments ]; then rm -rf comments; fi
	@if [ -d output   ]; then rm -rf output; fi
	@if [ -e build-stamp ]; then rm -f build-stamp; fi
	@if [ -e chronicle.1 ]; then rm -f chronicle.1 ; fi
	@if [ -e debian/chronicle.debhelper.log ]; then rm debian/chronicle.debhelper.log; fi

#
#  Show what has been changed in the local copy vs. the remote repository.
#
diff:
	hg diff


#
#  Install to /usr/local/bin
#
#  Install the themes without hardwiring a list of them.
#
install:
	mkdir -p ${prefix}/etc
	cp ./etc/chroniclerc ${prefix}/etc/chroniclerc
	mkdir -p ${prefix}/usr/local/bin
	cp ./bin/chronicle ${prefix}/usr/local/bin
	cp ./bin/chronicle-spooler ${prefix}/usr/local/bin
	mkdir -p ${prefix}/usr/share/chronicle/themes/xml
	cp -r ./themes/xml/*.* ${prefix}/usr/share/chronicle/themes/xml
	for i in themes/*/; do \
		mkdir -p ${prefix}/usr/share/chronicle/themes/$$(basename $$i) ;\
		cp -r ./themes/$$(basename $$i)/*.* ${prefix}/usr/share/chronicle/themes/$$(basename $$i)/ ;\
	done


#
#  Make a new release tarball, and make a GPG signature.
#
release: tidy clean
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle
	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle-spooler
	rm  $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/*.bak
	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".hg*" -print | xargs rm -rf
	find  $(DIST_PREFIX)/$(BASE)-$(VERSION)/blog -name "*.txt" -print | xargs rm -rf
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz


#
#  Tidy the code
#
tidy:
	if [ -x /usr/bin/perltidy ]; then \
	perltidy -b -nt -bt=2 -sbt=1 -bl  -mbl=3 -sbl -bbs -bbb -anl  -lp bin/chronicle ;\
	perltidy -b -nt -bt=2 -sbt=1 -bl  -mbl=3 -sbl -bbs -bbb -anl  -lp cgi-bin/comments.cgi \
	; fi


#
#  Run the test suite.
#
test:
	prove --shuffle tests/


#
#  Run the test suite verbosely.
#
test-verbose:
	prove --shuffle --verbose tests/



#
#  Update the local copy from the remote repository.
#
#  NOTE: Removes empty local directories.
#
update:
	hg pull --update


steve:
	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
	./bin/chronicle  --theme-dir=./themes --theme=copyrighteous --url-prefix=http://www.steve.org.uk/Software/chronicle/demo2/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo2/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
	./bin/chronicle --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
	./bin/chronicle --theme-dir=./themes --theme=leftbar --url-prefix=http://www.steve.org.uk/Software/chronicle/demo4/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo4/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"

## chronicle 3.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 2.9
+VERSION     = 3.0
 BASE        = chronicle
 
 
@@ -41,12 +41,12 @@
 	@find . -name '.*~' -exec rm \{\} \;
 	@find . -name '.#*' -exec rm \{\} \;
 	@find . -name '*~' -exec rm \{\} \;
+	@find . -name '*.1' -exec rm \{\} \;
 	@find . -name '*.bak' -exec rm \{\} \;
 	@find . -name '*.tmp' -exec rm \{\} \;
 	@if [ -d comments ]; then rm -rf comments; fi
 	@if [ -d output   ]; then rm -rf output; fi
 	@if [ -e build-stamp ]; then rm -f build-stamp; fi
-	@if [ -e chronicle.1 ]; then rm -f chronicle.1 ; fi
 	@if [ -e debian/chronicle.debhelper.log ]; then rm debian/chronicle.debhelper.log; fi
 
 #
@@ -86,6 +86,7 @@
 	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle-spooler
 	rm  $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/*.bak
 	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".hg*" -print | xargs rm -rf
+	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".release" -print | xargs rm -rf
 	find  $(DIST_PREFIX)/$(BASE)-$(VERSION)/blog -name "*.txt" -print | xargs rm -rf
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
 	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/

## chronicle 3.4

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 3.0
+VERSION     = 3.4
 BASE        = chronicle
 
 
@@ -44,6 +44,7 @@
 	@find . -name '*.1' -exec rm \{\} \;
 	@find . -name '*.bak' -exec rm \{\} \;
 	@find . -name '*.tmp' -exec rm \{\} \;
+	@if [ -e .version ]; then rm -f .version; fi
 	@if [ -d comments ]; then rm -rf comments; fi
 	@if [ -d output   ]; then rm -rf output; fi
 	@if [ -e build-stamp ]; then rm -f build-stamp; fi
@@ -94,15 +95,16 @@
 	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	gpg --armour --detach-sign $(BASE)-$(VERSION).tar.gz
+	echo $(VERSION) > .version
+
 
 
 #
 #  Tidy the code
 #
 tidy:
-	if [ -x /usr/bin/perltidy ]; then \
-	perltidy -b -nt -bt=2 -sbt=1 -bl  -mbl=3 -sbl -bbs -bbb -anl  -lp bin/chronicle ;\
-	perltidy -b -nt -bt=2 -sbt=1 -bl  -mbl=3 -sbl -bbs -bbb -anl  -lp cgi-bin/comments.cgi \
+	if [ -x ~/bin/perltidy ]; then \
+           ~/bin/perltidy ./bin/chronicle ./cgi-bin/comments.cgi \
 	; fi

## chronicle 3.6

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 3.4
+VERSION     = 3.6
 BASE        = chronicle
 
 
@@ -135,5 +135,6 @@
 steve:
 	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
 	./bin/chronicle  --theme-dir=./themes --theme=copyrighteous --url-prefix=http://www.steve.org.uk/Software/chronicle/demo2/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo2/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
-	./bin/chronicle --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --date-archive-path --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
 	./bin/chronicle --theme-dir=./themes --theme=leftbar --url-prefix=http://www.steve.org.uk/Software/chronicle/demo4/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo4/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --theme-dir=./themes --theme=simple --url-prefix=http://www.steve.org.uk/Software/chronicle/demo5/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo5/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"

## chronicle 3.9

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 3.6
+VERSION     = 3.9
 BASE        = chronicle
 
 
@@ -49,6 +49,8 @@
 	@if [ -d output   ]; then rm -rf output; fi
 	@if [ -e build-stamp ]; then rm -f build-stamp; fi
 	@if [ -e debian/chronicle.debhelper.log ]; then rm debian/chronicle.debhelper.log; fi
+	@if [ -e debian/chronicle/ ]; then rm -rf debian/chronicle/ ; fi
+
 
 #
 #  Show what has been changed in the local copy vs. the remote repository.
@@ -133,8 +135,8 @@
 
 
 steve:
-	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
-	./bin/chronicle  --theme-dir=./themes --theme=copyrighteous --url-prefix=http://www.steve.org.uk/Software/chronicle/demo2/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo2/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
-	./bin/chronicle --date-archive-path --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
-	./bin/chronicle --theme-dir=./themes --theme=leftbar --url-prefix=http://www.steve.org.uk/Software/chronicle/demo4/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo4/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
-	./bin/chronicle --theme-dir=./themes --theme=simple --url-prefix=http://www.steve.org.uk/Software/chronicle/demo5/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -v -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo5/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle  --theme-dir=./themes --theme=copyrighteous --url-prefix=http://www.steve.org.uk/Software/chronicle/demo2/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo2/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --date-archive-path --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --theme-dir=./themes --theme=leftbar --url-prefix=http://www.steve.org.uk/Software/chronicle/demo4/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo4/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --theme-dir=./themes --theme=simple --url-prefix=http://www.steve.org.uk/Software/chronicle/demo5/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo5/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"

## chronicle 4.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 3.9
+VERSION     = 4.1
 BASE        = chronicle
 
 
@@ -27,10 +27,16 @@
 	@echo "Valid targets are (alphabetically) :"
 	@echo " "
 	@echo " clean         = Remove bogus files and any local output."
+	@echo " demos[*]      = Generate and upload demo blogs."
 	@echo " diff          = See the local changes."
+	@echo " install       = Install upon the local system."
+	@echo " release [*]   = Generate a release tarball."
 	@echo " test          = Run our simple test cases."
 	@echo " test-verbose  = Run our simple test cases, verbosely."
+	@echo " tidy [*]      = Tidy the code via perltidy."
 	@echo " update        = Update from the remote repository."
+	@echo " "
+	@echo "[*] - These targets are Steve-specific.  Probably."
 	@echo " "
 
 
@@ -53,6 +59,13 @@
 
 
 #
+#  Run perlcritic on our scripts
+#
+critic:
+	perlcritic bin/*
+
+
+#
 #  Show what has been changed in the local copy vs. the remote repository.
 #
 diff:
@@ -60,16 +73,18 @@
 
 
 #
-#  Install to /usr/local/bin
+#  Install to /usr/bin
 #
 #  Install the themes without hardwiring a list of them.
 #
 install:
 	mkdir -p ${prefix}/etc
 	cp ./etc/chroniclerc ${prefix}/etc/chroniclerc
-	mkdir -p ${prefix}/usr/local/bin
-	cp ./bin/chronicle ${prefix}/usr/local/bin
-	cp ./bin/chronicle-spooler ${prefix}/usr/local/bin
+	mkdir -p ${prefix}/usr/bin
+	cp ./bin/chronicle ${prefix}/usr/bin
+	cp ./bin/chronicle-spooler ${prefix}/usr/bin
+	cp ./bin/chronicle-entry-filter ${prefix}/usr/bin
+	cp ./bin/chronicle-rss-importer ${prefix}/usr/bin
 	mkdir -p ${prefix}/usr/share/chronicle/themes/xml
 	cp -r ./themes/xml/*.* ${prefix}/usr/share/chronicle/themes/xml
 	for i in themes/*/; do \
@@ -81,11 +96,12 @@
 #
 #  Make a new release tarball, and make a GPG signature.
 #
-release: tidy clean
+release: tidy clean 
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
 	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle
+	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle-entry-filter
 	perl -pi.bak -e "s/UNRELEASED/$(VERSION)/g" $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/chronicle-spooler
 	rm  $(DIST_PREFIX)/$(BASE)-$(VERSION)/bin/*.bak
 	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".hg*" -print | xargs rm -rf
@@ -106,7 +122,7 @@
 #
 tidy:
 	if [ -x ~/bin/perltidy ]; then \
-           ~/bin/perltidy ./bin/chronicle ./cgi-bin/comments.cgi \
+           ~/bin/perltidy ./bin/chronicle-entry-filter ./bin/chronicle-spam-test ./bin/chronicle-spooler ./bin/chronicle-rss-importer ./bin/chronicle ./cgi-bin/comments.cgi \
 	; fi
 
 
@@ -128,14 +144,15 @@
 #
 #  Update the local copy from the remote repository.
 #
-#  NOTE: Removes empty local directories.
-#
 update:
 	hg pull --update
 
 
-steve:
-	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+#
+#  Generate the demo blogs.
+#
+demos:
+	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle" --date-archive-path
 	./bin/chronicle  --theme-dir=./themes --theme=copyrighteous --url-prefix=http://www.steve.org.uk/Software/chronicle/demo2/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo2/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
 	./bin/chronicle --date-archive-path --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
 	./bin/chronicle --theme-dir=./themes --theme=leftbar --url-prefix=http://www.steve.org.uk/Software/chronicle/demo4/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo4/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"

## chronicle 4.4

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 4.1
+VERSION     = 4.4
 BASE        = chronicle
 
 
@@ -96,7 +96,7 @@
 #
 #  Make a new release tarball, and make a GPG signature.
 #
-release: tidy clean 
+release: tidy clean
 	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
 	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
 	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
@@ -152,8 +152,9 @@
 #  Generate the demo blogs.
 #
 demos:
-	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle" --date-archive-path
-	./bin/chronicle  --theme-dir=./themes --theme=copyrighteous --url-prefix=http://www.steve.org.uk/Software/chronicle/demo2/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo2/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
-	./bin/chronicle --date-archive-path --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
-	./bin/chronicle --theme-dir=./themes --theme=leftbar --url-prefix=http://www.steve.org.uk/Software/chronicle/demo4/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo4/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
-	./bin/chronicle --theme-dir=./themes --theme=simple --url-prefix=http://www.steve.org.uk/Software/chronicle/demo5/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* steve@www.steve.org.uk:/home/www/www.steve.org.uk/htdocs/Software/chronicle/demo5/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --theme-dir=./themes --theme=default --url-prefix=http://www.steve.org.uk/Software/chronicle/demo/ --pre-build="/bin/rm -rf ./output" --post-build="rsync -q -r output/* s-steve@www.steve.org.uk:htdocs/Software/chronicle/demo/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle" --date-archive-path
+	./bin/chronicle  --theme-dir=./themes --theme=copyrighteous --url-prefix=http://www.steve.org.uk/Software/chronicle/demo2/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* s-steve@www.steve.org.uk:htdocs/Software/chronicle/demo2/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --date-archive-path --theme-dir=./themes --theme=blocky --url-prefix=http://www.steve.org.uk/Software/chronicle/demo3/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* s-steve@steve.org.uk:htdocs/Software/chronicle/demo3/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --theme-dir=./themes --theme=leftbar --url-prefix=http://www.steve.org.uk/Software/chronicle/demo4/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* s-steve@www.steve.org.uk:htdocs/Software/chronicle/demo4/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --theme-dir=./themes --theme=simple --url-prefix=http://www.steve.org.uk/Software/chronicle/demo5/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* s-steve@www.steve.org.uk:htdocs/Software/chronicle/demo5/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle"
+	./bin/chronicle --theme-dir=./themes --theme=simple --url-prefix=http://www.steve.org.uk/Software/chronicle/demo6/ --pre-build="/bin/rm -rf ./output"  --post-build="rsync -q -r output/* s-steve@www.steve.org.uk:htdocs/Software/chronicle/demo6/" --no-comments --no-cache --blog-title="Sample Blog" --blog-subtitle="Created by Chronicle [With --lang=French]" --lang=french

=== debian/changelog ===
chronicle (4.4-1) unstable; urgency=low

  * Correctly cope with the formatting and display of dates in foreign locales,
    via "--lang=French" (for example), or via the matching setting in the configuration
    file.

 -- Steve Kemp <skx@debian.org>  Thu, 15 Apr 2010 23:00:32 +0000

chronicle (4.3-1) unstable; urgency=low

  * Correctly seperate the header/body of a blog post when running
    Cygwin upon Microsoft Windows platforms.
  * Significant speedup rebuilding blogs when using Danga's memcached.
  * Added xref support to entries.

 -- Steve Kemp <skx@debian.org>  Sat, 27 Mar 2010 09:33:09 +0000

chronicle (4.2-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format

 -- Steve Kemp <skx@debian.org>  Sat, 20 Feb 2010 22:05:26 +0000

chronicle (4.2-1) unstable; urgency=low

  * New upstream release
    - Added support for multi-markdown as an input format.
  * Updated standards version to 3.8.4 - no changes.

 -- Steve Kemp <skx@debian.org>  Sun, 14 Feb 2010 14:16:18 +0000

chronicle (4.1-3) unstable; urgency=high

  * Attempt to correctly invoke the filter, such that entries have their
    UTF-8 entries preserved.  (Closes: #566106)

 -- Steve Kemp <skx@debian.org>  Mon, 25 Jan 2010 19:19:19 +0000

chronicle (4.1-2) unstable; urgency=high

  * Restore correct handling of UTF-8.

 -- Steve Kemp <skx@debian.org>  Wed, 7 Jan 2010 18:50:18 +0000

chronicle (4.1-1) unstable; urgency=low

  * New upstream release:
    - Moves the conversion of different blog formats to an external
      helper program.  (chronicle-entry-filter)
    - Makes a newline seperating the blog pseudo-header from the body
      mandatory.
    - Adds syntax filtering via <code lang="perl"> if Text::VimColor
      is present.
    - Suggest: The installation of the libtext-vimcolor-perl package.

 -- Steve Kemp <skx@debian.org>  Sun, 3 Jan 2010 17:05:17 +0000

chronicle (4.0-1) unstable; urgency=low

  * New upstream release:
    - Reads and writes all files as UTF8 rather than latin1.  (Closes: #502484)
    - Moved the chronicle-rss-imported into the system install.
    - Many minor fixes and cleanups.

 -- Steve Kemp <skx@debian.org>  Sun, 6 Dec 2009 02:04:06 +0000

chronicle (3.9-1) unstable; urgency=low

  * Updated all themes which are included by default:
    - Each theme now fully validates.
    - Each theme now uses a header.inc, footer.inc, and sidebar.inc file.
  * Support the use of a local temple-override directory specified via
    the HTML_TEMPLATE_ROOT environmental variable.

 -- Steve Kemp <skx@debian.org>  Sat, 3 Oct 2009 08:49:01 +0000

chronicle (3.8-1) unstable; urgency=low

  * Add the chronicle-spam-test script to the examples/ directory.
  * Avoid generating a sitemap.xml file if no URL prefix has been
    defined.  (Closes: #545198)
  * Allow the sitemap.xml to use an URL prefix even if the site-prefix
    isn't set, with --sitemap-prefix=

 -- Steve Kemp <skx@debian.org>  Sat, 26 Sep 2009 10:30:01 +0000

chronicle (3.7-1) unstable; urgency=medium

  * Added the generation of a sitemap.xml file to the top level of the blog.
  * Bumped standards version to 3.8.3 - no changes required.

 -- Steve Kemp <skx@debian.org>  Thur, 20 August 2009 6:32:06 +0000

chronicle (3.6-1) unstable; urgency=medium

  * Updated the simple theme.
  * Added the option "--author" to allow the authors email address to
    be specified.  This allows author-posted comments to be highlighted
    via CSS.
    (Demonstrated by the simple theme.)
  * Added support for gravitar icons
  * Added support for homepage/link collection & display in comments.

 -- Steve Kemp <skx@debian.org>  Sun, 22 June 2009 11:11:11 +0000

chronicle (3.5-1) unstable; urgency=medium

  * Added a new theme "simple".
  * Added the option "--date-archive-path" to create archives in
    subdirectories.

 -- Steve Kemp <skx@debian.org>  Sun, 22 Feb 2009 08:22:08 +0000

chronicle (3.4-1) unstable; urgency=medium

  * Abort if non-unique titles are encountered.
    (Closes: #508268)
  * Allow date + tag views to be sorted "most recent first",
    via new command line arguments / configuration file options.

 -- Steve Kemp <skx@debian.org>  Wed, 10 Dec 2008 20:22:02 +0000

chronicle (3.3-1) unstable; urgency=medium

  * Default to UTF-8 when processing input in textile formats.  Allow
    --charset=foo to override this.
    Thanks to  Nicolau Werneck for the patch.

 -- Steve Kemp <skx@debian.org>  Sun, 6 Dec 2008 22:16:22 +0000

chronicle (3.2-2) unstable; urgency=medium

  * Install the file cgi-bin/comments.cgi alongside the other example
    files.  (Closes: #504270)

 -- Steve Kemp <skx@debian.org>  Sun, 2 Nov 2008 14:55:41 +0000

chronicle (3.2-1) unstable; urgency=high

  * New upstream release.
    - Applied patch from Byron Clark to support non-GMT timezones.

 -- Steve Kemp <skx@debian.org>  Thu, 9 Oct 2008 19:55:19 +0000

chronicle (3.1-1) unstable; urgency=high

  * New upstream release.
    - Correctly sort submitted comments by their submission time &date.

 -- Steve Kemp <skx@debian.org>  Mon, 1 Sep 2008 20:40:59 +0000

chronicle (3.0-1) unstable; urgency=high

  * New upstream release.
    - Updated standards version to 3.8.0

 -- Steve Kemp <skx@debian.org>  Wed, 23 Jul 2008 18:19:20 +0000

chronicle (2.9-3) unstable; urgency=high

  * Added "suggests" to package for
    - libtext-markdown-perl
    - libtext-textile-perl
    (Closes: #488406)

 -- Steve Kemp <skx@debian.org>  Sun, 25 May 2008 14:44:41 +0000

chronicle (2.9-2) unstable; urgency=high

  * Bugfix: Allow "--format=markdown" to work correctly.
  * Allow per-entry format selection via "Format: [html|textile|..]"
    psuedo-header.

 -- Steve Kemp <skx@debian.org>  Sun, 25 May 2008 14:44:41 +0000

chronicle (2.9-1) unstable; urgency=high

  * Bugfix:  Don't use invalid dates when sorting.

 -- Steve Kemp <skx@debian.org>  Fri, 16 May 2008 17:47:27 +0000

chronicle (2.8-1) unstable; urgency=low

  * New upstream release:


=== debian/control ===
Source: chronicle
Section: web
Priority: extra
Maintainer: Steve Kemp <skx@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4
Homepage: http://www.steve.org.uk/Software/chronicle/

Package: chronicle
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libtimedate-perl, libhtml-template-perl, perl-modules
Suggests: memcached, libtext-markdown-perl, libtext-textile-perl, libtext-vimcolor-perl
Description: HTML & RSS blog compiler
 This is a tool which will convert a directory of simple
 text files into a static HTML weblog, (or blog if you prefer).
 .
  The system is intentionally simple, but it supports:
 .
  * RSS feed creation.
 .
  * Template based output.
 .
  * The tagging of entries.
 .
  * User comments upon entries.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.steve.org.uk/Software/chronicle/ chronicle-(.*)\.tar\.gz

## chronicle 4.5

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 4.4
+VERSION     = 4.5
 BASE        = chronicle
 
 
@@ -81,8 +81,9 @@
 	mkdir -p ${prefix}/etc
 	cp ./etc/chroniclerc ${prefix}/etc/chroniclerc
 	mkdir -p ${prefix}/usr/bin
-	cp ./bin/chronicle ${prefix}/usr/bin
-	cp ./bin/chronicle-spooler ${prefix}/usr/bin
+	cp ./bin/chronicle              ${prefix}/usr/bin
+	cp ./bin/chronicle-ping         ${prefix}/usr/bin
+	cp ./bin/chronicle-spooler      ${prefix}/usr/bin
 	cp ./bin/chronicle-entry-filter ${prefix}/usr/bin
 	cp ./bin/chronicle-rss-importer ${prefix}/usr/bin
 	mkdir -p ${prefix}/usr/share/chronicle/themes/xml
@@ -122,7 +123,7 @@
 #
 tidy:
 	if [ -x ~/bin/perltidy ]; then \
-           ~/bin/perltidy ./bin/chronicle-entry-filter ./bin/chronicle-spam-test ./bin/chronicle-spooler ./bin/chronicle-rss-importer ./bin/chronicle ./cgi-bin/comments.cgi \
+           ~/bin/perltidy ./bin/chronicle-ping ./bin/chronicle-entry-filter ./bin/chronicle-spam-test ./bin/chronicle-spooler ./bin/chronicle-rss-importer ./bin/chronicle ./cgi-bin/comments.cgi \
 	; fi

=== debian/changelog ===
chronicle (4.5-1) unstable; urgency=low

  * New bugfix release:
     - If a file has no Date: psuedo-header then we use the mtime.
     - The <cut ..> tag works as expected.

 -- Steve Kemp <skx@debian.org>  Tue, 24 Aug 2010 07:55:07 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: chronicle
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, libtimedate-perl, libhtml-template-perl, perl-modules
-Suggests: memcached, libtext-markdown-perl, libtext-textile-perl, libtext-vimcolor-perl
+Suggests: memcached, libtext-markdown-perl, libtext-textile-perl, libtext-vimcolor-perl, libsoap-lite-perl
 Description: HTML & RSS blog compiler
  This is a tool which will convert a directory of simple
  text files into a static HTML weblog, (or blog if you prefer).
@@ -22,4 +22,6 @@
  .
   * The tagging of entries.
  .
+  * Notification of ping services upon blog rebuild.
+ .
   * User comments upon entries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	pod2man bin/chronicle              > chronicle.1
	pod2man bin/chronicle-spooler      > chronicle-spooler.1
	pod2man bin/chronicle-entry-filter > chronicle-entry-filter.1
	pod2man bin/chronicle-rss-importer > chronicle-rss-importer.1
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f *.1
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=$(CURDIR)/debian/chronicle install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples bin/check-titles cgi-bin/comments.cgi bin/chronicle-spam-test
	dh_installman *.1
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# No arch-dependent package

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## chronicle 4.6

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #  Only used to build distribution tarballs.
 #
 DIST_PREFIX = ${TMP}
-VERSION     = 4.5
+VERSION     = 4.6
 BASE        = chronicle
 
 
@@ -54,8 +54,6 @@
 	@if [ -d comments ]; then rm -rf comments; fi
 	@if [ -d output   ]; then rm -rf output; fi
 	@if [ -e build-stamp ]; then rm -f build-stamp; fi
-	@if [ -e debian/chronicle.debhelper.log ]; then rm debian/chronicle.debhelper.log; fi
-	@if [ -e debian/chronicle/ ]; then rm -rf debian/chronicle/ ; fi
 
 
 #
@@ -108,7 +106,6 @@
 	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".hg*" -print | xargs rm -rf
 	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name ".release" -print | xargs rm -rf
 	find  $(DIST_PREFIX)/$(BASE)-$(VERSION)/blog -name "*.txt" -print | xargs rm -rf
-	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)/debian
 	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
 	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
 	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .

=== debian/changelog ===
chronicle (4.6-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:33:45 +0100

chronicle (4.6-2) unstable; urgency=low

  * debian/patches/fix_encoding_for_templates.patch: Added to fix problem with
    UTF-8 encoded templates.
  * debian/source/local-options: Added with "unapply-patches".

 -- Kai Wasserbäch <curan@debian.org>  Sun, 15 May 2011 20:12:40 +0200

chronicle (4.6-1) unstable; urgency=low

  * New upstream version. (Closes: #615891)
  * debian/control:
    - Take over maintenance with Steve's permission. Thanks for all your
      work, Steve!
    - Vcs-{Git,Browser} fields added.
    - Bumped Standards-Version to 3.9.2, no further changes needed (except the
      update to debian/copyright).
    - Minor reformatting of Description.
    - B-D on dh >=8.
  * debian/watch:
    - Added git-import-orig.
    - Silence debian-watch-contains-dh_make-template.
  * debian/gbp.conf: Ensure pristine-tar usage.
  * debian/copyright: Updated.
  * debian/rules: Converted to minimal version.
  * debian/chronicle.examples: Added.
  * debian/compat: Bumped to 8.
  * debian/clean: Added.
  * debian/dirs: Deleted (is superfluous now).
  * debian/NEWS: Fixed debian-news-entry-uses-asterisk.

 -- Kai Wasserbäch <curan@debian.org>  Tue, 03 May 2011 14:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: chronicle
 Section: web
 Priority: extra
-Maintainer: Steve Kemp <skx@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Maintainer: Kai Wasserbäch <curan@debian.org>
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.2
 Homepage: http://www.steve.org.uk/Software/chronicle/
+Vcs-Git: git://git.carbon-project.org/chronicle.git
+Vcs-Browser: http://gitweb.carbon-project.org/?p=chronicle.git;a=summary
 
 Package: chronicle
 Architecture: all
@@ -14,14 +16,10 @@
  This is a tool which will convert a directory of simple
  text files into a static HTML weblog, (or blog if you prefer).
  .
-  The system is intentionally simple, but it supports:
+ The system is intentionally simple, but it supports:
  .
   * RSS feed creation.
- .
   * Template based output.
- .
   * The tagging of entries.
- .
   * Notification of ping services upon blog rebuild.
- .
   * User comments upon entries.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installman:
	pod2man bin/chronicle              > chronicle.1
	pod2man bin/chronicle-spooler      > chronicle-spooler.1
	pod2man bin/chronicle-entry-filter > chronicle-entry-filter.1
	pod2man bin/chronicle-rss-importer > chronicle-rss-importer.1
	pod2man bin/chronicle-ping         > chronicle-ping.1
	dh_installman *.1

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/chronicle

# Empty override to skip until I've decided whether I want the extra B-Ds for
# the tests.
override_dh_auto_test:

%:
	dh $@

.PHONY: override_dh_installman override_dh_auto_install override_dh_auto_test

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.steve.org.uk/Software/chronicle/ chronicle-(.*)\.tar\.gz \
  debian git-import-orig
